
package de.ivu.elect.presentation.kandidatur.menu;

import javax.inject.Inject;

import de.ivu.elect.business.kandidatur.entity.WaehlerBenannteKandidaturen;
import de.ivu.elect.business.mandant.entity.Mandant;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.kandidatur.WaehlerBenannteListenkandidaturCreateViewResolver;

public class WaehlerBenannteListenkandidaturCreateMenuItemEntry extends AbstractListenkandidaturCreateMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WaehlerBenannteListenkandidaturCreateViewResolver waehlerBenannteListenkandidaturCreateViewResolver;

  public WaehlerBenannteListenkandidaturCreateMenuItemEntry() {
    super();
  }

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(UseCasePermission.WAEHLER_BENANNTE_KANDIDATUR_CREATE) && isWaehlerBenannteListeSelected();
  }

  @Override
  protected String getViewId(Mandant mandant) {
    return waehlerBenannteListenkandidaturCreateViewResolver.getViewId(mandant);
  }

  @Override
  protected String getEntityEinzahlMessageKey() {
    return WaehlerBenannteKandidaturen.MSG_KEY_WAEHLER_BENANNTE_KANDIDATUR_EINZAHL;
  }
}
